/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-08-01 15:32:38 UTC)
 * on 2013-08-07 at 01:08:10 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.sqladmin.model;

/**
 * Database instance import request.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Cloud SQL Administration API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class InstancesImportRequest extends com.google.api.client.json.GenericJson {

  /**
   * Contains details about the import operation.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private ImportContext importContext;

  /**
   * Contains details about the import operation.
   * @return value or {@code null} for none
   */
  public ImportContext getImportContext() {
    return importContext;
  }

  /**
   * Contains details about the import operation.
   * @param importContext importContext or {@code null} for none
   */
  public InstancesImportRequest setImportContext(ImportContext importContext) {
    this.importContext = importContext;
    return this;
  }

  @Override
  public InstancesImportRequest set(String fieldName, Object value) {
    return (InstancesImportRequest) super.set(fieldName, value);
  }

  @Override
  public InstancesImportRequest clone() {
    return (InstancesImportRequest) super.clone();
  }

}
